%define betaver		0
%define rel		1
%if %betaver
%define release		%mkrel -c %{betaver} %{rel}
%define tarballver	%{version}-%{betaver}
%define tarballdir	FileZilla_Client_Unstable
%else
%define release		%mkrel %{rel}
%define tarballver	%{version}
%define tarballdir	FileZilla_Client
%endif

Name:		filezilla
Version:	3.26.1
Release:	%{release}
Summary:	Fast and reliable FTP client
Group:		Networking/File transfer
License:	GPLv2+
URL:		http://filezilla-project.org/
Source0:	http://sourceforge.net/projects/filezilla/files/%{tarballdir}/%{tarballver}/FileZilla_%{tarballver}_src.tar.bz2
BuildRequires:	pkgconfig(libidn)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(libfilezilla) >= 0.9.2
BuildRequires:	pkgconfig(nettle)
BuildRequires:	pugixml-devel
BuildRequires:	wxgtku3.0-devel >= 3.0.3
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	xdg-utils

Requires:	xdg-utils

%description
FileZilla is a fast and reliable FTP, FTPS and SFTP client with lots
of useful features and an intuitive graphical user interface.

#--------------------------------------------------------------------
%prep
%setup -q -n %{name}-%{tarballver}

%build
%configure2_5x \
		--disable-autoupdatecheck \
		--with-tinyxml=builtin
%make_build

%install
%make_install

desktop-file-install --vendor='' \
	--dir=%{buildroot}%{_datadir}/applications \
	--add-category='GTK' \
	--add-category='X-Mageia-CrossDesktop'\
	%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_bindir}/%{name}
%{_bindir}/fzsftp
%{_bindir}/fzputtygen
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man*/*


%changelog
* Sat Jun 03 2017 akien <akien> 3.26.1-1.mga6
+ Revision: 1106070
- Version 3.26.1

* Wed Apr 26 2017 akien <akien> 3.25.1-2.mga6
+ Revision: 1097572
- Rebuild for arm libfilezilla

* Wed Apr 26 2017 akien <akien> 3.25.1-1.mga6
+ Revision: 1097513
- Version 3.25.1

* Mon Jan 16 2017 daviddavid <daviddavid> 3.24.0-1.mga6
+ Revision: 1082029
- new version: 3.24.0

* Wed Dec 14 2016 daviddavid <daviddavid> 3.23.0.2-1.mga6
+ Revision: 1074969
- new version: 3.23.0.2

* Fri Nov 04 2016 daviddavid <daviddavid> 3.22.2.2-1.mga6
+ Revision: 1065286
- new version: 3.22.2.2

* Tue Nov 01 2016 daviddavid <daviddavid> 3.22.2-1.mga6
+ Revision: 1064457
- new version: 3.22.2

* Tue Oct 04 2016 daviddavid <daviddavid> 3.22.1-1.mga6
+ Revision: 1058632
- new version: 3.22.1

* Sun Oct 02 2016 daviddavid <daviddavid> 3.22.0-1.mga6
+ Revision: 1058083
- new version: 3.22.0
- depends on libfilezilla >= 0.7.0

* Wed Aug 24 2016 daviddavid <daviddavid> 3.21.0-1.mga6
+ Revision: 1048606
- new version: 3.21.0

* Thu Aug 04 2016 daviddavid <daviddavid> 3.20.1-1.mga6
+ Revision: 1044423
- new version: 3.20.1

* Wed Jul 27 2016 daviddavid <daviddavid> 3.20.0-1.mga6
+ Revision: 1043807
- new version: 3.20.0

* Thu Jun 02 2016 daviddavid <daviddavid> 3.18.0-2.mga6
+ Revision: 1019809
- rebuild for wxgtk3.0 built with GTK2

* Sat May 28 2016 daviddavid <daviddavid> 3.18.0-1.mga6
+ Revision: 1019014
- new version: 3.18.0

* Mon May 09 2016 daviddavid <daviddavid> 3.17.0.1-1.mga6
+ Revision: 1011532
- new version: 3.17.0.1

* Sat Apr 23 2016 daviddavid <daviddavid> 3.17.0-1.mga6
+ Revision: 1005772
- new version: 3.17.0

* Thu Mar 17 2016 daviddavid <daviddavid> 3.16.1-1.mga6
+ Revision: 992307
- new version: 3.16.1

* Fri Mar 04 2016 daviddavid <daviddavid> 3.16.0-1.mga6
+ Revision: 985460
- new version: 3.16.0

* Sun Feb 28 2016 daviddavid <daviddavid> 3.16.0-0.rc1.1.mga6
+ Revision: 980512
- new version 3.16.0 rc1

* Thu Feb 11 2016 daviddavid <daviddavid> 3.15.0.2-1.mga6
+ Revision: 953773
- new version: 3.15.0.2

* Wed Feb 03 2016 daviddavid <daviddavid> 3.15.0.1-1.mga6
+ Revision: 933320
- new version: 3.15.0.1

* Sun Jan 31 2016 daviddavid <daviddavid> 3.15.0-1.mga6
+ Revision: 929308
- new version: 3.15.0
- BR pkgconfig(libfilezilla)
- fix owner of data dir

* Mon Jan 11 2016 luigiwalser <luigiwalser> 3.14.1-2.mga6
+ Revision: 921804
- rebuild for gnutls

* Sat Oct 17 2015 daviddavid <daviddavid> 3.14.1-1.mga6
+ Revision: 892356
- new version: 3.14.1
- add doc files

* Thu Sep 17 2015 daviddavid <daviddavid> 3.14.0-1.mga6
+ Revision: 880069
- new version: 3.14.0 Final

* Fri Sep 11 2015 daviddavid <daviddavid> 3.14.0-0.rc2.1.mga6
+ Revision: 876952
- new version 3.14.0 rc2

* Mon Sep 07 2015 daviddavid <daviddavid> 3.14.0-0.rc1.1.mga6
+ Revision: 873798
- new version 3.14.0 rc1

* Fri Aug 28 2015 daviddavid <daviddavid> 3.13.1-1.mga6
+ Revision: 870413
- new version: 3.13.1

* Fri Aug 14 2015 ycantin <ycantin> 3.12.0.2-2.mga6
+ Revision: 864691
- rebuild for new wxgtk built with wxRE_ADVANCED

* Thu Jul 23 2015 daviddavid <daviddavid> 3.12.0.2-1.mga6
+ Revision: 856245
- new version: 3.12.0.2
- remove merged upstream patch
- fix desktop file category on 'X-Mageia-CrossDesktop'

* Wed Jul 22 2015 daviddavid <daviddavid> 3.11.0.2-2.mga6
+ Revision: 856233
- rebuild for new wxgtk built with gtk3

* Sat Jun 20 2015 daviddavid <daviddavid> 3.11.0.2-1.mga6
+ Revision: 836392
- add upstream patch to fix a compile error with some non-standard wx configurations
- new version: 3.11.0.2 fix LOGJAM-related vulnerability issue (mga#16121)

* Wed Mar 04 2015 oden <oden> 3.10.2-1.mga5
+ Revision: 817630
- fool the autopoo wxWidgets-3.0.1 is enough, may not work forever...
- 3.10.2

* Fri Dec 12 2014 daviddavid <daviddavid> 3.9.0.6-1.mga5
+ Revision: 802837
- new version: 3.9.0.6 (fix CVE-2014-3566)
- update Source0 link-url
- swith BRs to pkgconfig

* Wed Oct 15 2014 umeabot <umeabot> 3.9.0.5-3.mga5
+ Revision: 747219
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.9.0.5-2.mga5
+ Revision: 679189
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 akien <akien> 3.9.0.5-1.mga5
+ Revision: 674353
- Version 3.9.0.5

  + dams <dams>
    - new version 3.9.0.3

* Wed Jul 23 2014 dams <dams> 3.9.0.1-1.mga5
+ Revision: 655731
- new version 3.9.0.1

* Wed Jul 02 2014 dams <dams> 3.8.1-1.mga5
+ Revision: 642040
- new version 3.8.1

* Mon Apr 28 2014 dams <dams> 3.8.0-1.mga5
+ Revision: 618648
- new version 3.8.0

* Fri Feb 14 2014 dams <dams> 3.7.4.1-1.mga5
+ Revision: 591415
- new version 3.7.4.1

* Sun Feb 09 2014 dams <dams> 3.7.4-1.mga5
+ Revision: 587787
- new version 3.7.4

* Tue Feb 04 2014 dams <dams> 3.7.4-0.rc1.1.mga5
+ Revision: 581491
- new version 3.7.4 rc1

* Sat Oct 19 2013 umeabot <umeabot> 3.7.3-2.mga4
+ Revision: 531687
- Mageia 4 Mass Rebuild

* Thu Aug 08 2013 oden <oden> 3.7.3-1.mga4
+ Revision: 464576
- 3.7.3 (fixes CVE-2013-4206, CVE-2013-4207, CVE-2013-4208)
- 3.7.2 (fixes CVE-2013-4852)

* Wed Aug 07 2013 dams <dams> 3.7.2-1.mga4
+ Revision: 464375
- new version 3.7.2

* Tue Aug 06 2013 oden <oden> 3.7.1.1-2.mga4
+ Revision: 464166
- P0: security fix for CVE-2013-4852

* Sat Jun 29 2013 fwang <fwang> 3.7.1.1-1.mga4
+ Revision: 448273
- new version 3.7.1.1

* Wed Jun 19 2013 dams <dams> 3.7.1-1.mga4
+ Revision: 445019
- new version 3.7.1

* Mon May 27 2013 dams <dams> 3.7.0.2-1.mga4
+ Revision: 428778
- new version 3.7.0.2

* Thu May 23 2013 dams <dams> 3.7.0.1-1.mga4
+ Revision: 424874
- new version 3.7.0.1

* Fri Jan 11 2013 umeabot <umeabot> 3.6.0.2-2.mga3
+ Revision: 350330
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 dams <dams> 3.6.0.2-1.mga3
+ Revision: 323473
- new version 3.6.0.2
- update %%description

* Mon Nov 19 2012 dams <dams> 3.6.0.1-1.mga3
+ Revision: 319619
- new version 3.6.0.1

* Sun Nov 11 2012 neoclust <neoclust> 3.6.0-1.mga3
+ Revision: 316906
- New version 3.6.0 Final

* Mon Nov 05 2012 dams <dams> 3.6.0-0.rc1.1.mga3
+ Revision: 314467
- new version 3.6.0-rc1

* Mon Oct 29 2012 dams <dams> 3.6.0-0.beta1.1.mga3
+ Revision: 311481
- new version 3.6.0 beta1
- clean specfile

* Mon Jan 09 2012 dams <dams> 3.5.3-1.mga2
+ Revision: 193994
- remove patch as fix is now merged upstream (ticket #7742)
- update BR for wxgtku2.8-devel to 2.8.12
- new version 3.5.3
- clean specfile

* Wed Nov 09 2011 dams <dams> 3.5.2-1.mga2
+ Revision: 165921
- Add upstream patch (ticket #7742) to fix build with gnutls >= 3
- new version 3.5.2

* Mon Aug 29 2011 dams <dams> 3.5.1-1.mga2
+ Revision: 136100
- Update to 3.5.1

  + fwang <fwang>
    - rebuild for new gnutls

  + ahmad <ahmad>
    - Rebuild against wxgtk2.8 with enabled catch_segvs

* Mon May 23 2011 dams <dams> 3.5.0-1.mga1
+ Revision: 100235
- Update to 3.5.0

* Fri May 20 2011 boklm <boklm> 3.5.0-0.rc2.2.mga1
+ Revision: 99935
- rebuild as it was incorrectly uploaded

* Wed May 18 2011 dams <dams> 3.5.0-0.rc2.1.mga1
+ Revision: 99645
- New version 3.5.0 rc2

* Tue Mar 29 2011 dams <dams> 3.4.0-1.mga1
+ Revision: 78643
- Update to 3.4.0 final

  + dmorgan <dmorgan>
    - Add a debug to understand the build failure

* Wed Mar 23 2011 dams <dams> 3.4.0-0.rc1.1.mga1
+ Revision: 75892
- Remove gtk+2-devel as buildrequires as already taken by wxgtk
- Fix gtk+2-devel buildrequires
- Add gtk+2.0-devel as buildrequires
- New version 3.4.0 rc1

* Sun Jan 16 2011 ahmad <ahmad> 3.3.5.1-1.mga1
+ Revision: 19954
- add xdg-utils, configure checks if it's available
- drop old/unneeded scriptlets

  + kharec <kharec>
    - imported package filezilla

